| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ExtcapValue Class Reference

Represents a single value option for an extcap argument. More...

`#include <extcap_argument.h>`

## Public Member Functions
| ExtcapValue (QString value, QString call, bool enabled, bool isDefault)
| Constructs a new ExtcapValue.
virtual | ~ExtcapValue ()
| Destroys the ExtcapValue.
void | setChildren (ExtcapValueList children)
| Sets the child values for this value.
ExtcapValueList | children ()
| Retrieves the child values.
QString | value () const
| Retrieves the display value.
const QString | call () const
| Retrieves the call string.
bool | enabled () const
| Checks if the value is enabled.
bool | isDefault () const
| Checks if the value is the default.
int | depth ()
| Retrieves the hierarchical depth of this value.

## Detailed Description

Represents a single value option for an extcap argument.

## Constructor & Destructor Documentation

## ◆ ExtcapValue()

ExtcapValue::ExtcapValue | ( | QString | value,
|  | QString | call,
|  | bool | enabled,
|  | bool | isDefault )
| inline

Constructs a new ExtcapValue.

Parameters

  value | The display value.
  call | The string used to call this value.
  enabled | True if this value is enabled.
  isDefault | True if this value is the default.

## Member Function Documentation

## ◆ call()

const QString ExtcapValue::call | ( |  | ) | const
| inline

Retrieves the call string.

Returns
  The call string.

## ◆ children()

ExtcapValueList ExtcapValue::children | ( |  | ) |
| inline

Retrieves the child values.

Returns
  The list of child values, or an empty list if none.

## ◆ depth()

int ExtcapValue::depth | ( |  | ) |
| inline

Retrieves the hierarchical depth of this value.

Returns
  The depth integer.

## ◆ enabled()

bool ExtcapValue::enabled | ( |  | ) | const
| inline

Checks if the value is enabled.

Returns
  True if enabled, false otherwise.

## ◆ isDefault()

bool ExtcapValue::isDefault | ( |  | ) | const
| inline

Checks if the value is the default.

Returns
  True if it is the default value, false otherwise.

## ◆ setChildren()

void ExtcapValue::setChildren | ( | ExtcapValueList | children | ) |

Sets the child values for this value.

Parameters

  children | The list of child values to set.

## ◆ value()

QString ExtcapValue::value | ( |  | ) | const
| inline

Retrieves the display value.

Returns
  The display value string.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/extcap_argument.h
- /builds/wireshark/wireshark/ui/qt/extcap_argument.cpp